Skip to main content
Resource Center/Resource Pool/VM Scheduling Rule Group Operations
PUTVM Scheduling Rule Group OperationsSince 4.6.0SynchronousAuth Required

ChangeVmSchedulingRuleState

ChangeVmSchedulingRuleState

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • changevmschedulingrulestateObjectRequired

    changevmschedulingrulestate request body object.

    • stateStringRequired

      The state after the modification.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryAffinityGroupInventoryRequired

    See inventory

    • ruleStringRequired

      The VM scheduling rule.

    • modeStringRequired

      The execution mode of the rule.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • policyStringRequired

      策略信息。

    • versionStringRequired

      版本号。

    • typeStringRequired

      类型。

    • applianceStringRequired

      设备。

    • zoneUuidStringRequired

      The zone UUID.

    • stateStringRequired

      当前状态。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • usagesListRequired

      See usages

      • uuidStringRequired

        The resource UUID.

      • affinityGroupUuidStringRequired

        亲和组UUID

      • resourceUuidStringRequired

        资源UUID

      • resourceTypeStringRequired

        资源类型

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

PUT/zstack/v1/vmSchedulingRule/{uuid}/actions

/zstack/v1/vmSchedulingRule/{uuid}/actions

Operation ID

ChangeVmSchedulingRuleState

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vmSchedulingRule/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changevmschedulingrulestate":{"state":"<state>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "rule": "AFFINITY", "mode": "SOFT", "uuid": "8ab474e792183589b6a58bbe473c635a", "name": "Test-AffinityGroup", "description": "Test-AffinityGroup", "version": "1.0", "type": "HOST", "appliance": "CUSTOMER", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history